Skip to main content
Storage Management/Data Storage APIs
PUTData Storage APIsSince 0.6SynchronousAuth Required

Recover Resource Split-Brain

Recover Resource Split-Brain

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • resourceUuidStringRequired

    Resource UUID

Body Fields

  • hostUuidStringRequired

    Host UUID

  • primaryStorageUuidString

    Data Storage UUID

  • forceRecoverboolean

    强制恢复。

  • resourceTypeString

    资源类型。

  • systemTagsList

    System tags

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/primary-storage/mini/{resourceUuid}/actions

/zstack/v1/primary-storage/mini/{resourceUuid}/actions

Operation ID

RecoverResourceSplitBrain

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/primary-storage/mini/{resourceUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"hostUuid":"<hostUuid>","primaryStorageUuid":"<primaryStorageUuid>","forceRecover":true,"resourceType":"<resourceType>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history